package cn.com.qmth.examcloud.task.service.job;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.core.oe.student.api.OeExamScoreObtainQueueCloudService;
import cn.com.qmth.examcloud.task.base.AbstractTask;
import cn.com.qmth.examcloud.task.base.ScheduleJob;
import cn.com.qmth.examcloud.task.base.TaskTracker;

/**
 * 
 * @author  	chenken,lideyin
 * @date    	2018年12月27日 下午1:43:31,20190313
 * @company 	QMTH
 * @description 获取考试分数通知队列任务
 */
@Component("examScoreObtainNotifyQueueTask")
public class ExamScoreObtainNotifyQueueTask extends AbstractTask{

	@Autowired
	private TaskTracker taskTracker;
	
	@Autowired
	private OeExamScoreObtainQueueCloudService oeExamScoreObtainQueueCloudService;
	
	@Override
	public TaskTracker getTaskTracker() {
		return taskTracker;
	}

	@Override
	public void run(ScheduleJob scheduleJob) throws Exception {
		oeExamScoreObtainQueueCloudService.updateObtainScoreNodifyQueue();
	}
	
	
}
