package cn.com.qmth.examcloud.task.service.job;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.core.oe.student.api.OeExamScoreNoticeQueueCloudService;
import cn.com.qmth.examcloud.task.base.AbstractTask;
import cn.com.qmth.examcloud.task.base.ScheduleJob;
import cn.com.qmth.examcloud.task.base.TaskTracker;

/**
 * 
 * @author lideyin
 * @date 2019年3月11日 下午6:26:23
 * @description 获取考试分数通知任务
 */
@Component("examScoreObtainNotifyTask")
public class ExamScoreObtainNotifyTask extends AbstractTask{

	@Autowired
	private TaskTracker taskTracker;
	@Autowired
	private OeExamScoreNoticeQueueCloudService oeExamScoreNoticeQueueCloudService;
	
	@Override
	public TaskTracker getTaskTracker() {
		return taskTracker;
	}

	@Override
	public void run(ScheduleJob scheduleJob) throws Exception {
		oeExamScoreNoticeQueueCloudService.sendObtainScoreNotice();
	}
	
	
}
